<ng-container *ngIf="samples; else elseBlock">
  <div class="page-header">
    <div class="page-header__title">Litho Tracker {{ fileName }}</div>
    <div class="page-header__tools">
      <span class="icon-wrapper" matTooltip="Download" (click)="downloadFile()">
        <mat-icon inline> arrow_downward </mat-icon>
      </span>
      <span class="icon-wrapper delete-button" matTooltip="Remove" (click)="removeFile()">
        <mat-icon inline>
          delete_outline
        </mat-icon>
      </span>
      <a class="link" routerLink="/litho-tracker/database">
        Back
      </a>
    </div>
  </div>
  <div class="page-content">
    <div class="table-wrapper">
      <ag-grid-angular
        class="ag-theme-balham table"
        [stopEditingWhenGridLosesFocus]="true"
        [rowData]="samples"
        [columnDefs]="columnDefs"
        (cellValueChanged)="onCellEditingStopped($event)"
      >
      </ag-grid-angular>
      <div class="tools">
        <button color="primary" mat-flat-button [disabled]="!editedRowsQuantity" (click)="updateSamples()">
          Save Changes
        </button>
        <span *ngIf="editedRowsQuantity" class="tools-text">
          {{ editedRowsQuantity }}&nbsp;{{ editedRowsQuantity | i18nPlural: messageMapping }}
        </span>
      </div>
    </div>
    <gng-spinner class="spinner" *ngIf="loading"></gng-spinner>
  </div>
</ng-container>
<ng-template #elseBlock>
  <gng-spinner></gng-spinner>
</ng-template>
